set EMU [ xds add SAU510 ]

# TCK generator parameters
xds param $EMU sepk.pod_tckdiv 10
xds param $EMU sepk.pod_tckexp 0
xds param $EMU sepk.pod_tckpredivena NO
xds param $EMU sepk.pod_no_tckr NO
xds param $EMU sepk.pod_tck_bpas_dly 0
xds param $EMU sepk.pod_aclk_enable NO

# Terminators
xds param $EMU sepk.pod_tckload YES
xds param $EMU sepk.pod_tdiload YES

# Voltage clamping 15 = none / 5V
#                  11 = 3.3V
#                  7  = 2.5V
#                  5  = 1.8V
#                  4  = 1.65V
xds param $EMU sepk.pod_vclamp 15

# TMS/TDO timing
xds param $EMU sepk.pod_tdoontckfall NO
xds param $EMU sepk.pod_tms_ofs 0
xds param $EMU sepk.pod_tdo_ofs 0

# Link delay
xds param $EMU uscif.linkdly 3

# router's (icepick, DAP) parameters 
xds param $EMU router.adaptive_tclk NO
xds param $EMU router.skip_polling YES

# other, but required, don't change
xds param $EMU sepk.pod_emuversion 3
xds param $EMU sepk.pod_slowclk NO
xds param $EMU sepk.pod_aw_en YES
xds param $EMU sepk.pod_scanloop NO
xds param $EMU uscif.clkmode normal

# only for debug versions
#xds param $EMU sepk.pod_logmode yes
#xds param $EMU sepk.pod_logfile xds.log
#xds param $EMU sepk.pod_logtype long
